package v1

import (
	"dy-admin/internal/pcmserver/bus/service"
	"dy-admin/internal/pcmserver/pkg/code"
	"dy-admin/pkg/rescode"
	"github.com/gin-gonic/gin"
	"github.com/gorilla/websocket"
	"net/http"
)

type StatisticApi struct {
}

var upgrade = websocket.Upgrader{
	CheckOrigin: func(r *http.Request) bool {
		return true
	},
}

// HomeStatistic
// @Tags      首页统计接口
// @Summary   ws
// @Security  ApiKeyAuth
// @accept    application/json
// @Produce   application/json
// @Success   200   {object}  rescode.ErrCode
// @Router    /bus/v1/homePage [get]
func (s *StatisticApi) HomeStatistic(c *gin.Context) {

	// http->websocket
	conn, err := upgrade.Upgrade(c.Writer, c.Request, nil)
	if err != nil {
		err = rescode.RegisterErrorWithMessage(err, err.Error(), code.ErrCodeMap[code.ErrWSConnectCode])
		rescode.WriteErrResponse(c, err)
		return
	}

	homeClient, err := service.NewHomeClient(conn)
	if err != nil {
		err = rescode.RegisterErrorWithMessage(err, err.Error(), code.ErrCodeMap[code.ErrWSConnectCode])
		rescode.WriteErrResponse(c, err)
		return
	}

	go homeClient.ReadMessage()
	go homeClient.WriteMessage()
	//go homeClient.SendHello()
}
