package model

import (
	"dy-admin/internal/pcmserver/common"
	"dy-admin/internal/pcmserver/sys/model"
	"gorm.io/gorm"
)

type Cabinet struct {
	common.Model
	Number         uint16 `json:"number" gorm:"not null;comment:'柜子编号'"`
	DepartmentID   int    `json:"departmentId" gorm:"not null;comment:'所属单位'"`
	DepartmentName string `json:"departmentName" gorm:"-"`
	AllowOpen      string `json:"allowOpen" gorm:"not null;comment:'是否允许开门'"`
	Ip             string `json:"ip" gorm:"not null;type:varchar(15);comment:'机柜ip';index"`
	Name           string `json:"name" gorm:"not null;type:varchar(500);comment:'机柜名称'"`
	Connected      string `json:"connected" gorm:"not null;comment:'连接状态 1连接 2断开'"`
	GridCount      int    `json:"gridCount" gorm:"not null;comment:'格子数'"`
	FactoryName    string `json:"factoryName" gorm:"not null;type:varchar(128);comment:'生产厂商'"`
	FactoryPhone   string `json:"factoryPhone" gorm:"not null;type:varchar(20);comment:'联系电话'"`
	Remark         string `json:"remark" gorm:"not null;type:varchar(512);comment:'备注'"`
	Sort           uint64 `json:"sort" gorm:"not null;comment:'排序'"`
	common.ControlBy
	common.ModelTime
}

func (Cabinet) TableName() string {
	return "bus_cabinets"
}

func (s *Cabinet) AfterFind(db *gorm.DB) error {
	var dept model.Dept
	db.Where("dept_id = ?", s.DepartmentID).Find(&dept)
	s.DepartmentName = dept.DeptName
	return nil
}
