package model

import (
	"dy-admin/internal/pcmserver/common"
	"dy-admin/internal/pcmserver/utils"
	"gorm.io/gorm"
	"time"
)

// SpecialTime 柜子特殊时间配置，适用于全部柜子。如果柜子存在单独的配置管理，不生效
type SpecialTime struct {
	common.Model
	Name         string     `json:"name" gorm:"size:32;comment:'星期几'"`
	StartTime    *time.Time `json:"-" gorm:"type:datetime"`
	StartTimeStr string     `json:"startTimeStr" gorm:"-"`
	EndTime      *time.Time `json:"-" gorm:"type:datetime"`
	EndTimeStr   string     `json:"endTimeStr" gorm:"-"`
	WorkDay      string     `json:"workDay" gorm:"size:10;comment:1-工作日 2-非工作日"`
	common.ControlBy
	common.ModelTime
}

func (m *SpecialTime) TableName() string {
	return "bus_special_time"
}

func (m *SpecialTime) AfterFind(_ *gorm.DB) error {
	m.StartTimeStr = utils.FormatMinuteTime(m.StartTime)
	m.EndTimeStr = utils.FormatMinuteTime(m.EndTime)
	return nil
}
