package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type CabinetRouter struct {
}

func (s *StaffRouter) InitCabinetRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/cabinet").Use(my_middleware.OperationRecord())
	cabinetRouterApi := v1.BusinessApiGroup.CabinetApi
	{
		apiRouter.POST("", cabinetRouterApi.CreateCabinet)
		apiRouter.PUT("", cabinetRouterApi.UpdateCabinet)
		apiRouter.GET("", cabinetRouterApi.GetCabinet)
		apiRouter.DELETE("", cabinetRouterApi.DeleteCabinet)
		apiRouter.GET("list", cabinetRouterApi.GetCabinetList)
		apiRouter.PUT("status", cabinetRouterApi.ChangeCabinetStatus)
	}
}
