package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type GridOpenLogRouter struct {
}

func (s *GridOpenLogRouter) InitGridOpenLogRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/open").Use(my_middleware.OperationRecord())
	gridOpenRouterApi := v1.BusinessApiGroup.GridOpenLogApi
	{
		apiRouter.POST("", gridOpenRouterApi.CreateGridOpenLog)
		apiRouter.DELETE("", gridOpenRouterApi.DeleteGridOpenLogByIds)
		apiRouter.GET("list", gridOpenRouterApi.GetGridOpenLogList)
		apiRouter.GET("statistics", gridOpenRouterApi.GetGridOpenLogStatistics)
	}
}
