package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type GridStoreLogRouter struct {
}

func (s *GridStoreLogRouter) InitGridStoreLogRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/store").Use(my_middleware.OperationRecord())
	gridStoreRouterApi := v1.BusinessApiGroup.GridStoreLogApi
	{
		apiRouter.POST("", gridStoreRouterApi.CreateGridStoreLog)
		apiRouter.DELETE("", gridStoreRouterApi.DeleteGridStoreLogByIds)
		apiRouter.GET("list", gridStoreRouterApi.GetGridStoreLogList)
		apiRouter.GET("statistics", gridStoreRouterApi.GetGridStoreLogStatistics)
	}
}
