package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type StaffRouter struct {
}

func (s *StaffRouter) InitStaffRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/staff").Use(my_middleware.OperationRecord())
	staffRouterApi := v1.BusinessApiGroup.StaffApi
	{
		apiRouter.POST("", staffRouterApi.CreateStaff)
		apiRouter.PUT("", staffRouterApi.UpdateStaff)
		apiRouter.GET("", staffRouterApi.GetStaff)
		apiRouter.DELETE("", staffRouterApi.DeleteStaff)
		apiRouter.GET("list", staffRouterApi.GetStaffList)
	}
}
