package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type WorkTimeRouter struct {
}

func (s *StaffRouter) InitWorkTimeRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/workTime").Use(my_middleware.OperationRecord())
	workTimeRouterApi := v1.BusinessApiGroup.WorkTimeApi
	{
		apiRouter.POST("", workTimeRouterApi.CreateWorkTime)
		apiRouter.PUT("", workTimeRouterApi.UpdateWorkTime)
		apiRouter.PUT("status", workTimeRouterApi.UpdateWorkTimeStatus)
		apiRouter.GET("", workTimeRouterApi.GetWorkTimeList)
		apiRouter.DELETE("", workTimeRouterApi.DeleteWorkTime)
	}
}
