package bus

import (
	"dy-admin/internal/pcmserver/bus/model"
	"dy-admin/internal/pcmserver/bus/service"
	"dy-admin/pkg/log"
	"go.uber.org/zap"
)

func iniWorkTimeData() error {
	var list = []model.WorkTime{
		{WeekDay: "星期一", StartTimeStr: "00:00", EndTimeStr: "06:00", WorkDay: "禁止开", Sort: 10},
		{WeekDay: "星期一", StartTimeStr: "07:00", EndTimeStr: "11:30", WorkDay: "禁止开", Sort: 11},
		{WeekDay: "星期一", StartTimeStr: "14:00", EndTimeStr: "18:00", WorkDay: "禁止开", Sort: 12},
		{WeekDay: "星期一", StartTimeStr: "22:00", EndTimeStr: "23:59", WorkDay: "禁止开", Sort: 13},
		{WeekDay: "星期二", StartTimeStr: "00:00", EndTimeStr: "06:00", WorkDay: "禁止开", Sort: 20},
		{WeekDay: "星期二", StartTimeStr: "07:00", EndTimeStr: "11:30", WorkDay: "禁止开", Sort: 21},
		{WeekDay: "星期二", StartTimeStr: "14:00", EndTimeStr: "18:00", WorkDay: "禁止开", Sort: 22},
		{WeekDay: "星期二", StartTimeStr: "22:00", EndTimeStr: "23:59", WorkDay: "禁止开", Sort: 23},
		{WeekDay: "星期三", StartTimeStr: "00:00", EndTimeStr: "06:00", WorkDay: "禁止开", Sort: 30},
		{WeekDay: "星期三", StartTimeStr: "07:00", EndTimeStr: "11:30", WorkDay: "禁止开", Sort: 31},
		{WeekDay: "星期三", StartTimeStr: "14:00", EndTimeStr: "18:00", WorkDay: "禁止开", Sort: 32},
		{WeekDay: "星期三", StartTimeStr: "22:00", EndTimeStr: "23:59", WorkDay: "禁止开", Sort: 33},
		{WeekDay: "星期四", StartTimeStr: "00:00", EndTimeStr: "06:00", WorkDay: "禁止开", Sort: 40},
		{WeekDay: "星期四", StartTimeStr: "07:00", EndTimeStr: "11:30", WorkDay: "禁止开", Sort: 41},
		{WeekDay: "星期四", StartTimeStr: "14:00", EndTimeStr: "18:00", WorkDay: "禁止开", Sort: 42},
		{WeekDay: "星期四", StartTimeStr: "22:00", EndTimeStr: "23:59", WorkDay: "禁止开", Sort: 43},
		{WeekDay: "星期五", StartTimeStr: "00:00", EndTimeStr: "06:00", WorkDay: "禁止开", Sort: 50},
		{WeekDay: "星期五", StartTimeStr: "07:00", EndTimeStr: "11:30", WorkDay: "禁止开", Sort: 51},
		{WeekDay: "星期五", StartTimeStr: "14:00", EndTimeStr: "18:00", WorkDay: "禁止开", Sort: 52},
		{WeekDay: "星期五", StartTimeStr: "22:00", EndTimeStr: "23:59", WorkDay: "禁止开", Sort: 53},
		{WeekDay: "星期六", StartTimeStr: "00:00", EndTimeStr: "06:00", WorkDay: "禁止开", Sort: 60},
		{WeekDay: "星期六", StartTimeStr: "22:00", EndTimeStr: "23:59", WorkDay: "禁止开", Sort: 61},
		{WeekDay: "星期日", StartTimeStr: "00:00", EndTimeStr: "06:00", WorkDay: "禁止开", Sort: 70},
		{WeekDay: "星期日", StartTimeStr: "22:00", EndTimeStr: "23:59", WorkDay: "禁止开", Sort: 71},
	}

	for _, workTime := range list {
		err := service.ServicesGroupApp.WorkTimeService.CreateWorkTime(workTime)
		if err != nil {
			log.Error("CreateWorkTime", zap.Error(err))
		}
	}
	return nil
}
