package sys

import (
	"dy-admin/internal/pcmserver/bus/model"
	"dy-admin/internal/pcmserver/common"
	"dy-admin/internal/pcmserver/global"
	"encoding/json"
	"gorm.io/gorm/clause"
)

func initConfig() error {
	cabinetConfig := model.CabinetConfig{
		ID:          1,
		ManageModel: 2, // 1-强制模式 2-人性化模式
	}
	config, _ := json.Marshal(cabinetConfig)
	entities := model.BusConfig{
		Model:  common.Model{ID: cabinetConfig.ID},
		Config: string(config),
	}
	if err := global.DB.Clauses(clause.OnConflict{UpdateAll: true}).Create(&entities).Error; err != nil {
		return err
	}
	return nil
}
