package sys

import (
	"dy-admin/internal/pcmserver/common"
	"dy-admin/internal/pcmserver/pkg/code"
	"dy-admin/internal/pcmserver/sys/model"
	"dy-admin/internal/pcmserver/sys/service"
	"time"
)

func initUserData() error {
	adminUser := model.User{
		Username:  "admin",
		Password:  "666",
		NickName:  "超级管理员",
		Phone:     "13811111111",
		Remark:    "超级管理员,请谨慎操作",
		Status:    "1",
		RoleIds:   []int{1},
		DeptId:    0,
		ControlBy: common.ControlBy{CreateBy: 1, UpdateBy: 1},
		ModelTime: common.ModelTime{CreatedAt: time.Now(), UpdatedAt: time.Now()},
	}
	if _, err := service.ServicesGroupApp.UserService.Register(adminUser); err != nil {
		if err.Error() == code.ErrCodeMap[code.ErrUserAlreadyExistCode].Error() {
			return nil
		} else {
			return err
		}

	}
	return nil
}
