package model

import (
	"dy-admin/internal/pcmserver/common"
	"time"
)

type OperationRecord struct {
	common.Model
	Ip           string    `json:"ip" form:"ip" gorm:"column:ip;comment:请求ip"`                                  // 请求ip
	Method       string    `json:"method" form:"method" gorm:"column:method;comment:请求方法"`                      // 请求方法
	Path         string    `json:"path" form:"path" gorm:"column:path;comment:请求路径"`                            // 请求路径
	Status       int       `json:"status" form:"status" gorm:"column:status;comment:请求状态"`                      // 请求状态
	Agent        string    `json:"agent" form:"agent" gorm:"column:agent;comment:代理"`                           // 代理
	ErrorMessage string    `json:"error_message" form:"error_message" gorm:"column:error_message;comment:错误信息"` // 错误信息
	Body         string    `json:"body" form:"body" gorm:"type:text;column:body;comment:请求Body"`                // 请求Body
	Resp         string    `json:"resp" form:"resp" gorm:"type:text;column:resp;comment:响应Body"`                // 响应Body
	NickName     string    `json:"nickName" form:"nickName"`
	CreatedAt    time.Time `json:"createdAt" gorm:"comment:创建时间"`
	UpdatedAt    time.Time `json:"updatedAt" gorm:"comment:最后更新时间"`
	common.ControlBy
}

func (OperationRecord) TableName() string {
	return "sys_operation_log"
}
