package request

type CasbinInfo struct {
	Path   string `json:"path"`
	Action string `json:"action"`
}

type CasbinInReceive struct {
	RoleID      int          `json:"roleId"`
	CasbinInfos []CasbinInfo `json:"casbinInfos"`
}

func DefaultCasbin() []CasbinInfo {
	return []CasbinInfo{
		{Path: "/menu/getMenu", Action: "POST"},
		{Path: "/jwt/jsonInBlacklist", Action: "POST"},
		{Path: "/base/login", Action: "POST"},
		{Path: "/user/admin_register", Action: "POST"},
		{Path: "/user/changePassword", Action: "POST"},
		{Path: "/user/setUserAuthority", Action: "POST"},
		{Path: "/user/setUserInfo", Action: "PUT"},
		{Path: "/user/getUserInfo", Action: "GET"},
	}
}
