package router

import (
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	v1 "dy-admin/internal/pcmserver/sys/api/v1"
	"github.com/gin-gonic/gin"
)

type ApiRouter struct {
}

func (s *ApiRouter) InitApiRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/api").Use(my_middleware.OperationRecord())
	apiRouterApi := v1.SystemApiGroup.ApiApi
	{
		apiRouter.POST("", apiRouterApi.CreateApi) // 创建Api
		apiRouter.DELETE("", apiRouterApi.DeleteApi)
		apiRouter.GET("list", apiRouterApi.GetApiList)
		apiRouter.GET("one", apiRouterApi.GetApiById)
		apiRouter.PUT("", apiRouterApi.UpdateApi)
		apiRouter.DELETE("ids", apiRouterApi.DeleteApisByIds)
	}
}
