package router

import (
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	v1 "dy-admin/internal/pcmserver/sys/api/v1"
	"github.com/gin-gonic/gin"
)

type DeptRouter struct {
}

func (s *DeptRouter) InitDeptRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/dept").Use(my_middleware.OperationRecord())
	deptRouterApi := v1.SystemApiGroup.DeptApi
	{
		apiRouter.POST("", deptRouterApi.CreateDept)
		apiRouter.PUT("", deptRouterApi.UpdateDept)
		apiRouter.DELETE("", deptRouterApi.DeleteDept)
		apiRouter.GET("tree", deptRouterApi.GetDeptTree)
		apiRouter.GET("one", deptRouterApi.GetDept)
	}
}
