package router

import (
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	v1 "dy-admin/internal/pcmserver/sys/api/v1"
	"github.com/gin-gonic/gin"
)

type MenuRouter struct {
}

func (s *MenuRouter) InitMenuRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/menu").Use(my_middleware.OperationRecord())
	menuRouterApi := v1.SystemApiGroup.MenuApi
	{
		apiRouter.POST("", menuRouterApi.CreateMenu)
		apiRouter.PUT("", menuRouterApi.UpdateMenu)
		apiRouter.DELETE("", menuRouterApi.DeleteMenu)
		apiRouter.GET("one", menuRouterApi.GetMenuByID)
		apiRouter.GET("tree", menuRouterApi.GetMenuTree)
		apiRouter.GET("role/tree", menuRouterApi.GetRoleMenuTree)
	}
}
