package router

import (
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	v1 "dy-admin/internal/pcmserver/sys/api/v1"
	"github.com/gin-gonic/gin"
)

type OperationRecordRouter struct {
}

func (s *OperationRecordRouter) InitOperationRecordRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/operation").Use(my_middleware.OperationRecord())
	operationRecordRouterApi := v1.SystemApiGroup.OperationRecordApi
	{
		apiRouter.POST("", operationRecordRouterApi.CreateSysOperationRecord)
		apiRouter.DELETE("", operationRecordRouterApi.DeleteSysOperationRecord)
		apiRouter.DELETE("ids", operationRecordRouterApi.DeleteSysOperationRecordByIds)
		apiRouter.GET("", operationRecordRouterApi.FindSysOperationRecord)
		apiRouter.GET("list", operationRecordRouterApi.GetSysOperationRecordList)
	}
}
