package router

import (
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	v1 "dy-admin/internal/pcmserver/sys/api/v1"
	"github.com/gin-gonic/gin"
)

type RoleRouter struct {
}

func (s *RoleRouter) InitRoleRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/role").Use(my_middleware.OperationRecord())
	roleRouterApi := v1.SystemApiGroup.RoleApi
	{
		apiRouter.POST("", roleRouterApi.CreateRole)
		apiRouter.PUT("", roleRouterApi.UpdateRole)
		apiRouter.DELETE("", roleRouterApi.DeleteRole)
		apiRouter.GET("list", roleRouterApi.GetRoles)
		apiRouter.GET("one", roleRouterApi.GetRoleByID)
		apiRouter.GET("deptIds", roleRouterApi.GetRoleDeptIDs)
		apiRouter.GET("menuIds", roleRouterApi.GetRoleMenuIDs)
		apiRouter.PUT("dataScope", roleRouterApi.UpdateDataScope)
	}
}
